Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data
Class StringFieldDef

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.data.FieldDef
              com.gwtext.client.data.StringFieldDef

    public class StringFieldDef

extends FieldDef

Field that represents String data.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`StringFieldDef(java.lang.String name)` Construct a new StringFieldDef.
`StringFieldDef(java.lang.String name, int mapping)` Construct a new StringFieldDef.
`StringFieldDef(java.lang.String name, int mapping, Converter converter)` Construct a new StringFieldDef.
`StringFieldDef(java.lang.String name, java.lang.String mapping)` Construct a new StringFieldDef.
`StringFieldDef(java.lang.String name, java.lang.String mapping, Converter converter)` Construct a new StringFieldDef.

Method Summary

Methods inherited from class com.gwtext.client.data.FieldDef
`getName`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringFieldDef

    public StringFieldDef(java.lang.String name)

  Construct a new StringFieldDef.

  Parameters:
    `name` - the name of field

### StringFieldDef

    public StringFieldDef(java.lang.String name,
                          java.lang.String mapping)

  Construct a new StringFieldDef.

  Parameters:
    `name` - the name of field
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when reading from XML

### StringFieldDef

    public StringFieldDef(java.lang.String name,
                          int mapping)

  Construct a new StringFieldDef.

  Parameters:
    `name` - the name of field
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when reading from XML

### StringFieldDef

    public StringFieldDef(java.lang.String name,
                          java.lang.String mapping,
                          Converter converter)

  Construct a new StringFieldDef.

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when readinf from XML
    `converter` - format the incoming data before processing it

### StringFieldDef

    public StringFieldDef(java.lang.String name,
                          int mapping,
                          Converter converter)

  Construct a new StringFieldDef.

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when readinf from XML
    `converter` - format the incoming data before processing it

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD